const Builder = @import("std").build.Builder;

pub fn build(b: *Builder) void {
    const mode = b.standardReleaseOptions();
    const lib = b.addStaticLibrary("encompass", "src/encompass.zig");
    lib.setBuildMode(mode);
    lib.install();

    var entity_test = b.addTest("src/entity.zig");
    entity_test.setBuildMode(mode);

    var component_store_test = b.addTest("src/component_store.zig");
    component_store_test.setBuildMode(mode);

    const test_step = b.step("test", "Run library tests");
    test_step.dependOn(&entity_test.step);
    test_step.dependOn(&component_store_test.step);
}
